%define	name	dnstouch
%define	version	0.4
%define	release	9mdk

Summary:	Incrementally updates bind v8+ zone file serial numbers.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://uranus.it.swin.edu.au/~jn/linux/dns.htm
Source0:	http://uranus.it.swin.edu.au/~jn/linux/ndu-%{version}.tar.bz2
Source1:	ndu.conf
Patch0:		ndu-opt.patch.bz2
Patch1:		ndu-verbose.patch.bz2
Requires:	ed /bin/sh bind 
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
dnstouch incrementally updates bind v8+ zone file serial numbers.

%prep
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%setup -q -n ndu-%{version}
%patch0 -p0
%patch1 -p0 

%build
export CFLAGS="%{optflags}"
export CC="g++"
make CC="g++" CFLAGS="%{optflags}" -C src dnstouch

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}
install -m 755 src/dnstouch %{buildroot}%{_bindir}/dnstouch
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL
%_bindir/dnstouch
%config(noreplace) %_sysconfdir/ndu.conf

%changelog
* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-9mdk
- rebuilt with gcc v3.4.x

* Sun May 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-8mdk
- build release

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-7mdk
- build release

* Mon Aug 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-6mdk
- fix requires

* Mon Aug 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4-5mdk
- rebuild

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-4mdk
- rebuild for new g++-3.2
- fix non-conffile-in-etc

* Sun May 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-3mdk
- spec file fix so that it can be rebuilt with gcc 3.1

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-2mdk
- initial cooker contrib
- spec file cleanups

* Sun Feb 11 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- update to 0.4
- this one now accepts UTF8 zones

* Mon Feb 5 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-2mdk
- only use the dnstouch software for now...

* Mon Feb 5 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3-1mdk
- mandrakified the package...

* Mon Feb 05 2001 John Newbigin <jn@it.swin.edu.au>
- Update to version 0.3
- Added requires

* Fri Feb 02 2001 John Newbigin <jn@it.swin.edu.au>
- First attempt at spec file

